class SCRegExpUtils {
  static final String _ri = "<user[^>]*>([\\s\\S]*?)</user>";

  static final _r = RegExp(_ri);

  ///检索At用户名
  static String getAtName(String input) {
    if (_r.hasMatch(input)) {
      return _r.firstMatch(input)!.group(1) ?? "";
    }
    return "";
  }

  static String getContent(String input) {
    String content = input.replaceAll(
      _r.firstMatch(input)![0] ?? "",
      "@${getAtName(input)}",
    );
    return content;
  }
}
